<div class="front_page_section front_page_section_about<?php
	$grecko_scheme = grecko_get_theme_option( 'front_page_about_scheme' );
	if ( ! empty( $grecko_scheme ) && ! grecko_is_inherit( $grecko_scheme ) ) {
		echo ' scheme_' . esc_attr( $grecko_scheme );
	}
	echo ' front_page_section_paddings_' . esc_attr( grecko_get_theme_option( 'front_page_about_paddings' ) );
	if ( grecko_get_theme_option( 'front_page_about_stack' ) ) {
		echo ' sc_stack_section_on';
	}
?>"
		<?php
		$grecko_css      = '';
		$grecko_bg_image = grecko_get_theme_option( 'front_page_about_bg_image' );
		if ( ! empty( $grecko_bg_image ) ) {
			$grecko_css .= 'background-image: url(' . esc_url( grecko_get_attachment_url( $grecko_bg_image ) ) . ');';
		}
		if ( ! empty( $grecko_css ) ) {
			echo ' style="' . esc_attr( $grecko_css ) . '"';
		}
		?>
>
<?php
	// Add anchor
	$grecko_anchor_icon = grecko_get_theme_option( 'front_page_about_anchor_icon' );
	$grecko_anchor_text = grecko_get_theme_option( 'front_page_about_anchor_text' );
if ( ( ! empty( $grecko_anchor_icon ) || ! empty( $grecko_anchor_text ) ) && shortcode_exists( 'trx_sc_anchor' ) ) {
	echo do_shortcode(
		'[trx_sc_anchor id="front_page_section_about"'
									. ( ! empty( $grecko_anchor_icon ) ? ' icon="' . esc_attr( $grecko_anchor_icon ) . '"' : '' )
									. ( ! empty( $grecko_anchor_text ) ? ' title="' . esc_attr( $grecko_anchor_text ) . '"' : '' )
									. ']'
	);
}
?>
	<div class="front_page_section_inner front_page_section_about_inner
	<?php
	if ( grecko_get_theme_option( 'front_page_about_fullheight' ) ) {
		echo ' grecko-full-height sc_layouts_flex sc_layouts_columns_middle';
	}
	?>
			"
			<?php
			$grecko_css           = '';
			$grecko_bg_mask       = grecko_get_theme_option( 'front_page_about_bg_mask' );
			$grecko_bg_color_type = grecko_get_theme_option( 'front_page_about_bg_color_type' );
			if ( 'custom' == $grecko_bg_color_type ) {
				$grecko_bg_color = grecko_get_theme_option( 'front_page_about_bg_color' );
			} elseif ( 'scheme_bg_color' == $grecko_bg_color_type ) {
				$grecko_bg_color = grecko_get_scheme_color( 'bg_color', $grecko_scheme );
			} else {
				$grecko_bg_color = '';
			}
			if ( ! empty( $grecko_bg_color ) && $grecko_bg_mask > 0 ) {
				$grecko_css .= 'background-color: ' . esc_attr(
					1 == $grecko_bg_mask ? $grecko_bg_color : grecko_hex2rgba( $grecko_bg_color, $grecko_bg_mask )
				) . ';';
			}
			if ( ! empty( $grecko_css ) ) {
				echo ' style="' . esc_attr( $grecko_css ) . '"';
			}
			?>
	>
		<div class="front_page_section_content_wrap front_page_section_about_content_wrap content_wrap">
			<?php
			// Caption
			$grecko_caption = grecko_get_theme_option( 'front_page_about_caption' );
			if ( ! empty( $grecko_caption ) || ( current_user_can( 'edit_theme_options' ) && is_customize_preview() ) ) {
				?>
				<h2 class="front_page_section_caption front_page_section_about_caption front_page_block_<?php echo ! empty( $grecko_caption ) ? 'filled' : 'empty'; ?>"><?php echo wp_kses( $grecko_caption, 'grecko_kses_content' ); ?></h2>
				<?php
			}

			// Description (text)
			$grecko_description = grecko_get_theme_option( 'front_page_about_description' );
			if ( ! empty( $grecko_description ) || ( current_user_can( 'edit_theme_options' ) && is_customize_preview() ) ) {
				?>
				<div class="front_page_section_description front_page_section_about_description front_page_block_<?php echo ! empty( $grecko_description ) ? 'filled' : 'empty'; ?>"><?php echo wp_kses( wpautop( $grecko_description ), 'grecko_kses_content' ); ?></div>
				<?php
			}

			// Content
			$grecko_content = grecko_get_theme_option( 'front_page_about_content' );
			if ( ! empty( $grecko_content ) || ( current_user_can( 'edit_theme_options' ) && is_customize_preview() ) ) {
				?>
				<div class="front_page_section_content front_page_section_about_content front_page_block_<?php echo ! empty( $grecko_content ) ? 'filled' : 'empty'; ?>">
					<?php
					$grecko_page_content_mask = '%%CONTENT%%';
					if ( strpos( $grecko_content, $grecko_page_content_mask ) !== false ) {
						$grecko_content = preg_replace(
							'/(\<p\>\s*)?' . $grecko_page_content_mask . '(\s*\<\/p\>)/i',
							sprintf(
								'<div class="front_page_section_about_source">%s</div>',
								apply_filters( 'the_content', get_the_content() )
							),
							$grecko_content
						);
					}
					grecko_show_layout( $grecko_content );
					?>
				</div>
				<?php
			}
			?>
		</div>
	</div>
</div>
