<div class="front_page_section front_page_section_features<?php
	$grecko_scheme = grecko_get_theme_option( 'front_page_features_scheme' );
	if ( ! empty( $grecko_scheme ) && ! grecko_is_inherit( $grecko_scheme ) ) {
		echo ' scheme_' . esc_attr( $grecko_scheme );
	}
	echo ' front_page_section_paddings_' . esc_attr( grecko_get_theme_option( 'front_page_features_paddings' ) );
	if ( grecko_get_theme_option( 'front_page_features_stack' ) ) {
		echo ' sc_stack_section_on';
	}
?>"
		<?php
		$grecko_css      = '';
		$grecko_bg_image = grecko_get_theme_option( 'front_page_features_bg_image' );
		if ( ! empty( $grecko_bg_image ) ) {
			$grecko_css .= 'background-image: url(' . esc_url( grecko_get_attachment_url( $grecko_bg_image ) ) . ');';
		}
		if ( ! empty( $grecko_css ) ) {
			echo ' style="' . esc_attr( $grecko_css ) . '"';
		}
		?>
>
<?php
	// Add anchor
	$grecko_anchor_icon = grecko_get_theme_option( 'front_page_features_anchor_icon' );
	$grecko_anchor_text = grecko_get_theme_option( 'front_page_features_anchor_text' );
if ( ( ! empty( $grecko_anchor_icon ) || ! empty( $grecko_anchor_text ) ) && shortcode_exists( 'trx_sc_anchor' ) ) {
	echo do_shortcode(
		'[trx_sc_anchor id="front_page_section_features"'
									. ( ! empty( $grecko_anchor_icon ) ? ' icon="' . esc_attr( $grecko_anchor_icon ) . '"' : '' )
									. ( ! empty( $grecko_anchor_text ) ? ' title="' . esc_attr( $grecko_anchor_text ) . '"' : '' )
									. ']'
	);
}
?>
	<div class="front_page_section_inner front_page_section_features_inner
	<?php
	if ( grecko_get_theme_option( 'front_page_features_fullheight' ) ) {
		echo ' grecko-full-height sc_layouts_flex sc_layouts_columns_middle';
	}
	?>
			"
			<?php
			$grecko_css      = '';
			$grecko_bg_mask  = grecko_get_theme_option( 'front_page_features_bg_mask' );
			$grecko_bg_color_type = grecko_get_theme_option( 'front_page_features_bg_color_type' );
			if ( 'custom' == $grecko_bg_color_type ) {
				$grecko_bg_color = grecko_get_theme_option( 'front_page_features_bg_color' );
			} elseif ( 'scheme_bg_color' == $grecko_bg_color_type ) {
				$grecko_bg_color = grecko_get_scheme_color( 'bg_color', $grecko_scheme );
			} else {
				$grecko_bg_color = '';
			}
			if ( ! empty( $grecko_bg_color ) && $grecko_bg_mask > 0 ) {
				$grecko_css .= 'background-color: ' . esc_attr(
					1 == $grecko_bg_mask ? $grecko_bg_color : grecko_hex2rgba( $grecko_bg_color, $grecko_bg_mask )
				) . ';';
			}
			if ( ! empty( $grecko_css ) ) {
				echo ' style="' . esc_attr( $grecko_css ) . '"';
			}
			?>
	>
		<div class="front_page_section_content_wrap front_page_section_features_content_wrap content_wrap">
			<?php
			// Caption
			$grecko_caption = grecko_get_theme_option( 'front_page_features_caption' );
			if ( ! empty( $grecko_caption ) || ( current_user_can( 'edit_theme_options' ) && is_customize_preview() ) ) {
				?>
				<h2 class="front_page_section_caption front_page_section_features_caption front_page_block_<?php echo ! empty( $grecko_caption ) ? 'filled' : 'empty'; ?>"><?php echo wp_kses( $grecko_caption, 'grecko_kses_content' ); ?></h2>
				<?php
			}

			// Description (text)
			$grecko_description = grecko_get_theme_option( 'front_page_features_description' );
			if ( ! empty( $grecko_description ) || ( current_user_can( 'edit_theme_options' ) && is_customize_preview() ) ) {
				?>
				<div class="front_page_section_description front_page_section_features_description front_page_block_<?php echo ! empty( $grecko_description ) ? 'filled' : 'empty'; ?>"><?php echo wp_kses( wpautop( $grecko_description ), 'grecko_kses_content' ); ?></div>
				<?php
			}

			// Content (widgets)
			?>
			<div class="front_page_section_output front_page_section_features_output">
				<?php
				if ( is_active_sidebar( 'front_page_features_widgets' ) ) {
					dynamic_sidebar( 'front_page_features_widgets' );
				} elseif ( current_user_can( 'edit_theme_options' ) ) {
					if ( ! grecko_exists_trx_addons() ) {
						grecko_customizer_need_trx_addons_message();
					} else {
						grecko_customizer_need_widgets_message( 'front_page_features_caption', 'ThemeREX Addons - Services' );
					}
				}
				?>
			</div>
		</div>
	</div>
</div>
