<?php
$grecko_woocommerce_sc = grecko_get_theme_option( 'front_page_woocommerce_products' );
if ( ! empty( $grecko_woocommerce_sc ) ) {
	?><div class="front_page_section front_page_section_woocommerce<?php
		$grecko_scheme = grecko_get_theme_option( 'front_page_woocommerce_scheme' );
		if ( ! empty( $grecko_scheme ) && ! grecko_is_inherit( $grecko_scheme ) ) {
			echo ' scheme_' . esc_attr( $grecko_scheme );
		}
		echo ' front_page_section_paddings_' . esc_attr( grecko_get_theme_option( 'front_page_woocommerce_paddings' ) );
		if ( grecko_get_theme_option( 'front_page_woocommerce_stack' ) ) {
			echo ' sc_stack_section_on';
		}
	?>"
			<?php
			$grecko_css      = '';
			$grecko_bg_image = grecko_get_theme_option( 'front_page_woocommerce_bg_image' );
			if ( ! empty( $grecko_bg_image ) ) {
				$grecko_css .= 'background-image: url(' . esc_url( grecko_get_attachment_url( $grecko_bg_image ) ) . ');';
			}
			if ( ! empty( $grecko_css ) ) {
				echo ' style="' . esc_attr( $grecko_css ) . '"';
			}
			?>
	>
	<?php
		// Add anchor
		$grecko_anchor_icon = grecko_get_theme_option( 'front_page_woocommerce_anchor_icon' );
		$grecko_anchor_text = grecko_get_theme_option( 'front_page_woocommerce_anchor_text' );
		if ( ( ! empty( $grecko_anchor_icon ) || ! empty( $grecko_anchor_text ) ) && shortcode_exists( 'trx_sc_anchor' ) ) {
			echo do_shortcode(
				'[trx_sc_anchor id="front_page_section_woocommerce"'
											. ( ! empty( $grecko_anchor_icon ) ? ' icon="' . esc_attr( $grecko_anchor_icon ) . '"' : '' )
											. ( ! empty( $grecko_anchor_text ) ? ' title="' . esc_attr( $grecko_anchor_text ) . '"' : '' )
											. ']'
			);
		}
	?>
		<div class="front_page_section_inner front_page_section_woocommerce_inner
			<?php
			if ( grecko_get_theme_option( 'front_page_woocommerce_fullheight' ) ) {
				echo ' grecko-full-height sc_layouts_flex sc_layouts_columns_middle';
			}
			?>
				"
				<?php
				$grecko_css      = '';
				$grecko_bg_mask  = grecko_get_theme_option( 'front_page_woocommerce_bg_mask' );
				$grecko_bg_color_type = grecko_get_theme_option( 'front_page_woocommerce_bg_color_type' );
				if ( 'custom' == $grecko_bg_color_type ) {
					$grecko_bg_color = grecko_get_theme_option( 'front_page_woocommerce_bg_color' );
				} elseif ( 'scheme_bg_color' == $grecko_bg_color_type ) {
					$grecko_bg_color = grecko_get_scheme_color( 'bg_color', $grecko_scheme );
				} else {
					$grecko_bg_color = '';
				}
				if ( ! empty( $grecko_bg_color ) && $grecko_bg_mask > 0 ) {
					$grecko_css .= 'background-color: ' . esc_attr(
						1 == $grecko_bg_mask ? $grecko_bg_color : grecko_hex2rgba( $grecko_bg_color, $grecko_bg_mask )
					) . ';';
				}
				if ( ! empty( $grecko_css ) ) {
					echo ' style="' . esc_attr( $grecko_css ) . '"';
				}
				?>
		>
			<div class="front_page_section_content_wrap front_page_section_woocommerce_content_wrap content_wrap woocommerce">
				<?php
				// Content wrap with title and description
				$grecko_caption     = grecko_get_theme_option( 'front_page_woocommerce_caption' );
				$grecko_description = grecko_get_theme_option( 'front_page_woocommerce_description' );
				if ( ! empty( $grecko_caption ) || ! empty( $grecko_description ) || ( current_user_can( 'edit_theme_options' ) && is_customize_preview() ) ) {
					// Caption
					if ( ! empty( $grecko_caption ) || ( current_user_can( 'edit_theme_options' ) && is_customize_preview() ) ) {
						?>
						<h2 class="front_page_section_caption front_page_section_woocommerce_caption front_page_block_<?php echo ! empty( $grecko_caption ) ? 'filled' : 'empty'; ?>">
						<?php
							echo wp_kses( $grecko_caption, 'grecko_kses_content' );
						?>
						</h2>
						<?php
					}

					// Description (text)
					if ( ! empty( $grecko_description ) || ( current_user_can( 'edit_theme_options' ) && is_customize_preview() ) ) {
						?>
						<div class="front_page_section_description front_page_section_woocommerce_description front_page_block_<?php echo ! empty( $grecko_description ) ? 'filled' : 'empty'; ?>">
						<?php
							echo wp_kses( wpautop( $grecko_description ), 'grecko_kses_content' );
						?>
						</div>
						<?php
					}
				}

				// Content (widgets)
				?>
				<div class="front_page_section_output front_page_section_woocommerce_output list_products shop_mode_thumbs">
					<?php
					if ( 'products' == $grecko_woocommerce_sc ) {
						$grecko_woocommerce_sc_ids      = grecko_get_theme_option( 'front_page_woocommerce_products_per_page' );
						$grecko_woocommerce_sc_per_page = count( explode( ',', $grecko_woocommerce_sc_ids ) );
					} else {
						$grecko_woocommerce_sc_per_page = max( 1, (int) grecko_get_theme_option( 'front_page_woocommerce_products_per_page' ) );
					}
					$grecko_woocommerce_sc_columns = max( 1, min( $grecko_woocommerce_sc_per_page, (int) grecko_get_theme_option( 'front_page_woocommerce_products_columns' ) ) );
					echo do_shortcode(
						"[{$grecko_woocommerce_sc}"
										. ( 'products' == $grecko_woocommerce_sc
												? ' ids="' . esc_attr( $grecko_woocommerce_sc_ids ) . '"'
												: '' )
										. ( 'product_category' == $grecko_woocommerce_sc
												? ' category="' . esc_attr( grecko_get_theme_option( 'front_page_woocommerce_products_categories' ) ) . '"'
												: '' )
										. ( 'best_selling_products' != $grecko_woocommerce_sc
												? ' orderby="' . esc_attr( grecko_get_theme_option( 'front_page_woocommerce_products_orderby' ) ) . '"'
													. ' order="' . esc_attr( grecko_get_theme_option( 'front_page_woocommerce_products_order' ) ) . '"'
												: '' )
										. ' per_page="' . esc_attr( $grecko_woocommerce_sc_per_page ) . '"'
										. ' columns="' . esc_attr( $grecko_woocommerce_sc_columns ) . '"'
						. ']'
					);
					?>
				</div>
			</div>
		</div>
	</div>
	<?php
}
