<?php
/**
 * The template to display the copyright info in the footer
 *
 * @package GRECKO
 * @since GRECKO 1.0.10
 */

// Copyright area
?> 
<div class="footer_copyright_wrap
<?php
$grecko_copyright_scheme = grecko_get_theme_option( 'copyright_scheme' );
if ( ! empty( $grecko_copyright_scheme ) && ! grecko_is_inherit( $grecko_copyright_scheme  ) ) {
	echo ' scheme_' . esc_attr( $grecko_copyright_scheme );
}
?>
				">
	<div class="footer_copyright_inner">
		<div class="content_wrap">
			<div class="copyright_text">
			<?php
				$grecko_copyright = grecko_get_theme_option( 'copyright' );
			if ( ! empty( $grecko_copyright ) ) {
				// Replace {{Y}} or {Y} with the current year
				$grecko_copyright = str_replace( array( '{{Y}}', '{Y}' ), date( 'Y' ), $grecko_copyright );
				// Replace {{...}} and ((...)) on the <i>...</i> and <b>...</b>
				$grecko_copyright = grecko_prepare_macros( $grecko_copyright );
				// Display copyright
				echo wp_kses( nl2br( $grecko_copyright ), 'grecko_kses_content' );
			}
			?>
			</div>
		</div>
	</div>
</div>
