<?php
/**
 * The template to display the background video in the header
 *
 * @package GRECKO
 * @since GRECKO 1.0.14
 */
$grecko_header_video = grecko_get_header_video();
$grecko_embed_video  = '';
if ( ! empty( $grecko_header_video ) && ! grecko_is_from_uploads( $grecko_header_video ) ) {
	if ( grecko_is_youtube_url( $grecko_header_video ) && preg_match( '/[=\/]([^=\/]*)$/', $grecko_header_video, $matches ) && ! empty( $matches[1] ) ) {
		?><div id="background_video" data-youtube-code="<?php echo esc_attr( $matches[1] ); ?>"></div>
		<?php
	} else {
		?>
		<div id="background_video"><?php grecko_show_layout( grecko_get_embed_video( $grecko_header_video ) ); ?></div>
		<?php
	}
}
